Enrichment

Search Companies

POST/v1/search/companies
POST
/v1/search/companies

Search companies by filters

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Request Body

application/jsonRequired

All filters listed below follow AND logic between different filters - meaning every specified filter must match for a result to qualify. Within a single filter that accepts multiple values (e.g., multiple industries or locations), OR logic is applied - meaning any one of the provided values can match.

For a complete reference of each filter's predefined/accepted values, you can download the filter values CSV here.

signalIdsarray<number>

newsIdsarray<number>

company_nameobject

company_hq_locationobject

company_founded_yearobject

company_industryobject

company_domainobject

typestring

Value in: "Private" | "Public"

sic_codesobject

naics_codesobject

product_reviews_score_changeobject

is_b2bboolean

technologies_usedobject

last_funding_round_nameobject

last_funding_round_amount_raisedobject

last_funding_round_announced_dateobject

funding_rounds_nameobject

company_funding_amountobject

company_funding_dateobject

company_annual_revenueobject

company_sizeobject

employee_count_seniorityarray<object>

employee_count_departmentarray<object>

base_salaryarray<object>

ownership_statusstring

Value in: "Private" | "Public" | "Other"

websiteobject

look_alike_company_namearray<object>

linkedin_urlobject

followers_count_linkedinobject

active_job_postings_titleobject

active_job_postings_countobject

total_website_visits_monthlyobject

rank_globalobject

visits_breakdown_by_countryarray<object>

visits_breakdown_by_genderarray<object>

product_reviews_aggregate_scoreobject

product_reviews_countobject

employee_reviews_total_countobject

employee_reviews_aggregate_scoreobject

employee_reviews_business_outlookobject

employee_reviews_ceo_approvalobject

employee_reviews_career_opportunitiesobject

employee_reviews_recommendobject

employee_reviews_work_life_balanceobject

employee_reviews_culture_valuesobject

keywordsobject

social_urlsobject

pagenumber

Default: 1Minimum: 1Maximum: 400

Responses

200
Companies searched successfully

Request

curl -X POST \
  "https://open-api.saleshandy.com/v1/search/companies" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "signalIds": [
    0
  ],
  "newsIds": [
    0
  ],
  "company_name": {
    "includes": [
      "string"
    ],
    "excludes": [
      "string"
    ]
  },
  "company_hq_location": {
    "includes": [
      "string"
    ],
    "excludes": [
      "string"
    ],
    "exactMatch": 0
  },
  "company_founded_year": {
    "min": "string",
    "max": "string"
  },
  "company_industry": {
    "includes": [
      "string"
    ],
    "excludes": [
      "string"
    ]
  },
  "company_domain": {
    "includes": [
      "string"
    ],
    "excludes": [
      "string"
    ]
  },
  "type": "Private",
  "sic_codes": {
    "includes": [
      "string"
    ]
  },
  "naics_codes": {
    "includes": [
      "string"
    ]
  },
  "product_reviews_score_change": {
    "duration": "current",
    "direction": "up",
    "points_range": {
      "min": "string",
      "max": "string"
    }
  },
  "is_b2b": false,
  "technologies_used": {
    "includes": [
      "string"
    ]
  },
  "last_funding_round_name": {
    "includes": [
      "string"
    ]
  },
  "last_funding_round_amount_raised": {
    "min": "string",
    "max": "string"
  },
  "last_funding_round_announced_date": {
    "min": "string",
    "max": "string"
  },
  "funding_rounds_name": {
    "includes": [
      "string"
    ]
  },
  "company_funding_amount": {
    "min": "string",
    "max": "string"
  },
  "company_funding_date": {
    "min": "string",
    "max": "string"
  },
  "company_annual_revenue": {
    "min": "string",
    "max": "string"
  },
  "company_size": {
    "min": "string",
    "max": "string"
  },
  "employee_count_seniority": [
    {
      "group": "owner",
      "count": {
        "min": "string",
        "max": "string"
      }
    }
  ],
  "employee_count_department": [
    {
      "group": "medical",
      "count": {
        "min": "string",
        "max": "string"
      }
    }
  ],
  "base_salary": [
    {
      "title": {
        "includes": [
          "string"
        ],
        "excludes": [
          "string"
        ],
        "exactMatch": 0
      },
      "range": {
        "min": "string",
        "max": "string"
      }
    }
  ],
  "ownership_status": "Private",
  "website": {
    "includes": [
      "string"
    ]
  },
  "look_alike_company_name": [
    {
      "value": "string",
      "company_id": 0,
      "_company_name": "string",
      "_industry": "string",
      "_categories_and_keywords": [
        "string"
      ],
      "_technologies_used": [
        "string"
      ],
      "_competitors": [
        "string"
      ],
      "_annual_revenue": 0,
      "_followers_count_linkedin": 0,
      "_total_website_visits_monthly": 0,
      "_ownership_status": "string"
    }
  ],
  "linkedin_url": {
    "includes": [
      "string"
    ],
    "excludes": [
      "string"
    ],
    "exactMatch": 0
  },
  "followers_count_linkedin": {
    "min": "string",
    "max": "string"
  },
  "active_job_postings_title": {
    "includes": [
      "string"
    ]
  },
  "active_job_postings_count": {
    "min": "string",
    "max": "string"
  },
  "total_website_visits_monthly": {
    "min": "string",
    "max": "string"
  },
  "rank_global": {
    "min": "string",
    "max": "string"
  },
  "visits_breakdown_by_country": [
    {
      "country": "string",
      "percentage": {
        "min": "string",
        "max": "string"
      }
    }
  ],
  "visits_breakdown_by_gender": [
    {
      "gender": "male",
      "percentage": {
        "min": "string",
        "max": "string"
      }
    }
  ],
  "product_reviews_aggregate_score": {
    "min": "string",
    "max": "string"
  },
  "product_reviews_count": {
    "min": "string",
    "max": "string"
  },
  "employee_reviews_total_count": {
    "min": "string",
    "max": "string"
  },
  "employee_reviews_aggregate_score": {
    "min": "string",
    "max": "string"
  },
  "employee_reviews_business_outlook": {
    "min": "string",
    "max": "string"
  },
  "employee_reviews_ceo_approval": {
    "min": "string",
    "max": "string"
  },
  "employee_reviews_career_opportunities": {
    "min": "string",
    "max": "string"
  },
  "employee_reviews_recommend": {
    "min": "string",
    "max": "string"
  },
  "employee_reviews_work_life_balance": {
    "min": "string",
    "max": "string"
  },
  "employee_reviews_culture_values": {
    "min": "string",
    "max": "string"
  },
  "keywords": {
    "includes": [
      "string"
    ]
  },
  "social_urls": {
    "includes": [
      "string"
    ]
  },
  "page": 0
}'

Response

No response body